﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;
using Infragistics.Win.UltraWinGrid;
using Infragistics.Win;

namespace WindowsFormsApplication468
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();

            for (int i = 0; i < 20; i++)
            {
                if (i % 2 == 0)
                {
                    ultraDataSource1.Rows.Add(new object[] { 5, i * 100 });

                } else ultraDataSource1.Rows.Add(new object[] { i, i * 100 });                
            }

            UltraGridBand band = this.ultraGrid1.DisplayLayout.Bands[0];

            // Add the OrderTotals custom summary.
            SummarySettings summary = band.Summaries.Add(
                "OrderTotals",					// Give an identifier (key) for this summary
                SummaryType.Custom,				// Summary type is custom
                new OrderTotalsSummary(),		// Our custom summary calculator
                band.Columns["Column 0"],		// Column being summarized. Just use Unit Price column.
                SummaryPosition.Left,			// Position the summary on the left of summary footer
                null							// Since SummaryPosition is Left, pass in null
                );
            summary.DisplayFormat = "Total 5's in the column = {0}";
            this.ultraGrid1.DisplayLayout.Override.SummaryFooterCaptionVisible = DefaultableBoolean.True;
        }

        private void ultraGrid1_InitializeLayout(object sender, Infragistics.Win.UltraWinGrid.InitializeLayoutEventArgs e)
        {
            e.Layout.Override.SummaryDisplayArea = Infragistics.Win.UltraWinGrid.SummaryDisplayAreas.BottomFixed;

        }
    }
}
